import { apiApp } from '@/api/autoshopee/api';

export const shopeeShopSyncSellerCreate = async (payload) => {
  return apiApp.post('/shopee/shop/create', payload);
};

// Shop Sync

export const shopeeShopSync = async (payload) => {
  return apiApp.post('/extension/shopee/shop/sync', payload);
};
export const shopeeShopCreate = async (payload) => {
  return apiApp.post('/extension/shopee/shop/create', payload);
};

export const shopeeShopGetShopId = async (shopId) => {
  return apiApp.get('/extension/shopee/shop/get', {
    params: {
      shopId,
    },
  });
};

export const shopeeShopUpdateShopId = async (shopId, payload) => {
  await apiApp.post(`/extension/shopee/shop/update/${shopId}`, payload);
};

export const shopeeShopRemoveShopId = async (shopId) => {
  return apiApp.post(`/extension/shopee/shop/remove/${shopId}`);
};

export const shopeeShopSyncFromBackground = async (payload) => {
  return apiApp.post('/extension/shopee/syncData', payload);
};
